<?php
require '../../conexion.php';
session_start();
//subtrae cadena con explode


$sql = "SELECT servicios_presupuesto_detalle(" . $_REQUEST['accion'] . ","
        . $_REQUEST['vcod'] . ","
        . "split_part('".$_REQUEST['vart']."','_',1)::integer,"
        . (!empty($_REQUEST['vcant'])?$_REQUEST['vcant']:"0") . ","
        . (!empty($_REQUEST['vprecio'])?$_REQUEST['vprecio']:"0") . ",".
        ((!empty($_REQUEST['vdep'])?$_REQUEST['vdep']:'null')).") as detpres;";

$resultado = consultas::get_datos($sql);

if ($resultado[0]['detpres'] == null) {
    $_SESSION['mensaje'] = 'Error de Proceso ' + $sql;
    header('location:./' . $_REQUEST['pagina']);
} else {
    $_SESSION['mensaje'] = $resultado[0]['detpres']."_". $_REQUEST['accion'];
    header('location:./' . $_REQUEST['pagina']);
}
?>
        

